// mysocket.h
//

#if !defined(MYSOCKET_H_INCLUDED)
#define MYSOCKET_H_INCLUDED

int MySocketOpen(int const Type, unsigned short const Port);
int MySocketConnect(int const Socket, char const * const ToIPAddress, unsigned short const ToPort);

int MySocketSend(int const Socket, unsigned char const * const Data, size_t const Length);
int MySocketSendTo(int const Socket, unsigned char const * const Data, size_t const Length, char const * const ToIPAddress, unsigned short const ToPort);

int MySocketRecv(int const Socket, unsigned char * const Data, size_t const Length);
int MySocketRecvFrom(int const Socket, unsigned char * const Data, size_t const Length, char * const FromIPAddress, size_t * const FromIPAddressLength);

int MySocketClose(int const Socket);

#endif // !defined(MYSOCKET_H_INCLUDED)
